## rrdtool 1.5.4

=== debian/changelog ===
rrdtool (1.5.4-5) unstable; urgency=medium

  * Removed Multi-Arch:no. (Closes: #795646)
  * Added support for lua5.3.
  * Removed rrdcached from hurd since it uses 'Not implemented' functions.
  * Reduced build and -dev dependencies.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Mon, 17 Aug 2015 16:08:45 +0200

rrdtool (1.5.4-4) unstable; urgency=medium

  * Allowed dh_install to proceed when python-setuptools is not installed.
  * Added patch 390x_first_week_day to fix unit tests on 390x architectures.
  * Enabled Multi-Arch. Partial support due to #117142. Lintian override for
    python debug symbols (See #795275).
  * Enabled perl-shared unit tests.
  * Refreshed lua patches headers: Applied-Upstream.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Fri, 14 Aug 2015 15:26:41 +0200

rrdtool (1.5.4-3) unstable; urgency=medium

  * Added new patches to support lua5.2. Thanks Yolanda Robla.
  * Switched building of lua, perl, python and ruby bindings packages to use
    debhelper specific buildsystems:
    - Created packages lua-rrd and lua-rrd-dev, providing support for both
      lua 5.1 and 5.2. The old packages are now transitional. Added
      dependency on dh_lua.
    - Adjusted cleaning, installing and testing to these systems.
  * Force LC_ALL during the build; Re-enabled rpn2 unit test.
  * Enabled rrdcached unit test.
  * d/control: Dropped pre-Jessie transitions.
  * Dropped unused lintian overrides.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 12 Aug 2015 17:23:20 +0200

rrdtool (1.5.4-2) unstable; urgency=low

  * Force UTF-8 encoding and UTC timezone on build.
  * patches/breaks-long-man-lines: Force UTF-8.
  * New patch 7digits to limit precision in unit test success checks.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 09 Aug 2015 22:58:54 +0200

rrdtool (1.5.4-1) unstable; urgency=low

  * Added myself in uploaders.
  * Update d/watch to look dirrectly at github.
  * New upstream version:
    - Fixes json output (Closes: #686825)
    - Fixes rrdupdate duplicate paragraph in man (Closes: #603507)
    - Adds support for floating point values with DERIVE, COUNTER with new
      datasource types: DCOUNTER and DDERIVE. (Closes: #543631)
    - Fixes compilation on hurd. (Closes: #721975)
    - Provide a python example with locale setup. (Closes: #729007).
    - Drop all patches but no-rpath-for-ruby: Applied upstream.
    - Added build-dependency on dc.
    - Ignoring new systemd files that would change the socket location and
      many options. Using upstream lsb files from github. (Closes: #717248,
      #748656)
  * Moved project to alioth: Updated maintainer address and Vcs-* fields.
  * Dropped transitional packages librrd-ruby*.
  * Bumped standards to 3.9.6: No change required.
  * Switch copyright to DEP5 format.
  * Bumped source format to 3.0 (quilt):
    - Dropped d/README.source;
    - Dropped quilt has a dependency.
  * Minimized d/rules:
    - Using dh_auto_configure fixes all hardening but for ruby.
    - Uses /usr/lib/arch-triplet.
    - Clean using d/clean.
  * Enabled verbose build.
  * Re-enabled optimisations on arm. (Closes: #467342)
  * Disable rpn2 unittest that fails.
  * Made the builds reproducible:
    - Set up fake BUILD_DATE and BUILD_TIME in d/rules from changelog.
    - New patch reproducible-builds to use these.
  * Added patch breaks-long-man-lines to fix "Cant break line" warnings.
  * Added librrd4.lintian-overrides for false positive.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 09 Aug 2015 17:43:02 +0200

rrdtool (1.4.8-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix setlocale calls, causing free'd memory usage. Thanks Matthias Nagel.
    (Closes: #751842)
  * Add libpng-dev as an alternative to libpng12-dev. (Closes: #662494)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 03 Jun 2015 23:38:18 +0200

rrdtool (1.4.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix librrd-ruby symlink to dir (Closes: #768283)
    - New librrd-ruby.maintscript.
    - control: librrd-ruby: Added ${misc:Pre-Depends}.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Sun, 16 Nov 2014 02:11:49 +0000

rrdtool (1.4.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix failure to build with perl 5.20 from experimental
    Closes: #752813
    + convert librrds-perl.install to executable script using
      $Config{vendorarch} instead of hardcoding /usr/lib/perl5
    + bump debhelper build-dependency and compat level to 9, needed for having
      an executable .install

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 11:16:56 +0000

rrdtool (1.4.8-1) unstable; urgency=medium

  [ Sebastian Harl ]
  * New upstream release; thanks to Alin Dobre for reporting this and
    providing various patches (Closes: #726159):
    - Fixed the xport JSON output format; thanks to Thomas Mainka for
      reporting this (Closes: #686825).
    - Fixed a segfault in rrdcached when using -j on non-existent directories;
      thanks to Witold Baryluk for reporting this (Closes: #663505).
    - Fixed segfault in rrdgraph caused by int32 overflows; thanks to Matej
      Kosik for reporting this (Closes: #451852).
  * Fixed changelog of 1.4.7-2 regarding the versioned build-dep on tcl-dev.
  * Merged 1.4.7-2.1 NMU; thanks to Christian Hofstaedtler (Closes: 736333).
  * debian/patches:
    - Added CVE-2013-2131; upstream patch fixing a format string vulnerability
      in rrdgraph; thanks to Henri Salo for reporting this (Closes: #708866).
      Raised urgency to medium for this.
  * debian/patches, debian/rules, debian/control:
    - Added build_ldadd; patch Makefile to pass $ALL_LIBS to rrdcached's
      linker flags to ensure it's going to be linked against libglib.
    - Build-depend on and use dh-autoreconf to manage the build_ldadd patch.
  * debian/control:
    - Optionally recommend fonts-dejavu-core as (the preferred) alternative to
      ttf-dejavu-core; thanks to Martin-Éric Racine for reporting this

