## rrdtool 1.5.5

=== debian/changelog ===
rrdtool (1.5.5-4) unstable; urgency=high

  * Expanded list of files to install. (Closes: #807024)
  * New patch tests_noverbose to disable verbose in tests. This was polluting
    the output, make tests fails, and FTBFS. (Closes: #818156)
  * Bumped policy to 3.9.7: No change required.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 23 Mar 2016 11:46:12 +0100

rrdtool (1.5.5-3) unstable; urgency=high

  * Updated d/patch/series file. (Closes: #805391)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 20 Dec 2015 13:58:21 +0100

rrdtool (1.5.5-2) unstable; urgency=high

  * New patch/mmap_memcpy_overlap to fix FTBFS on mips. Thanks to
    Niko Tyni. (Closes: #805391)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 20 Dec 2015 10:40:55 +0100

rrdtool (1.5.5-1) unstable; urgency=medium

  * New upstream release:
   - Drop patches 7digit and pm_noexec: Applied upstream.
  * Adjusted rrd-lua.lintian-override for lua5.3.
  * Dropped rrdtool-dbg lintian-overrides, fixed in lintian.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Mon, 16 Nov 2015 21:55:40 +0100
